Skip to main content
GET
/
v1
/
stocks
/
news
Get Stock News
curl --request GET \
  --url https://data-tools.prd.arrays.org/api/v1/stocks/news \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "article_id": "<string>",
      "article_url": "<string>",
      "author": "<string>",
      "description": "<string>",
      "keywords": [
        "<string>"
      ],
      "published_at": 123,
      "publisher": {
        "favicon_url": "<string>",
        "homepage_url": "<string>",
        "logo_url": "<string>",
        "name": "<string>"
      },
      "tickers": [
        "<string>"
      ],
      "title": "<string>"
    }
  ],
  "error": {
    "code": "RESOURCE_NOT_FOUND",
    "details": [
      {
        "field": "<string>",
        "got": "<string>",
        "reason": "<string>"
      }
    ],
    "docs_url": "<string>",
    "examples": [
      "<string>"
    ],
    "hint": "<string>",
    "message": "The requested resource was not found.",
    "suggestions": [
      "<string>"
    ]
  },
  "pagination": "<unknown>",
  "request_id": "<string>",
  "success": true
}

Authorizations

X-API-Key
string
header
required

API Key authentication. Example: "your-api-key-here"

Query Parameters

symbol
string

Stock symbol filter (optional)

start_time
integer<int64>
required

Start time (Unix timestamp in seconds)

end_time
integer<int64>
required

End time (Unix timestamp in seconds)

limit
integer
default:10

Maximum number of results (1–500, default: 10)

Required range: 1 <= x <= 500

Response

List of stock news articles

data
object[]
error
object
pagination
any
request_id
string
success
boolean